<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Messenger</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Messenger";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Messenger.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../game/Main.html" title="class in game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Messenger.html" target="_top">Frames</a></li>
<li><a href="Messenger.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">game</div>
<h2 title="Class Messenger" class="title">Class Messenger</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>game.Messenger</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Messenger</span>
extends java.lang.Object</pre>
<div class="block">Communicates with the player, this version uses system.out
 as a way of communicating
 This can be changed if you wish by creating a different version of messenger e.g with a GUI</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../game/Messenger.html#Messenger--">Messenger</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#bought-player.Player-board.PurchaseableSquare-">bought</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
      <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#bought-player.Player-java.lang.String-">bought</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
      java.lang.String&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#getSquareName-int-board.Board-">getSquareName</a></span>(int&nbsp;position,
             <a href="../board/Board.html" title="class in board">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#GO--">GO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#HotelPrompt--">HotelPrompt</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#keepGoingPrompt--">keepGoingPrompt</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#noGetOutOfJaillFreeCards--">noGetOutOfJaillFreeCards</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#noHousesOrHotels--">noHousesOrHotels</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printAuction-java.util.ArrayList-board.PurchaseableSquare-">printAuction</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
            <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printAvailableToBuy-board.PurchaseableSquare-int-">printAvailableToBuy</a></span>(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
                   int&nbsp;rentMultiplier)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printBoard-board.Board-java.util.ArrayList-player.Bank-">printBoard</a></span>(<a href="../board/Board.html" title="class in board">Board</a>&nbsp;board,
          java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
          <a href="../player/Bank.html" title="class in player">Bank</a>&nbsp;bank)</code>
<div class="block">Outputs the board including the locations of the players, ownership, houses,and hotels</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printBoughtJailCard-player.Player-player.Player-int-">printBoughtJailCard</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;buyer,
                   <a href="../player/Player.html" title="class in player">Player</a>&nbsp;seller,
                   int&nbsp;amount)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printBuilt--">printBuilt</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printCardAction-java.lang.String-">printCardAction</a></span>(java.lang.String&nbsp;details)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printEmptyHand--">printEmptyHand</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printExit--">printExit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printFinalScores-java.util.ArrayList-java.util.ArrayList-">printFinalScores</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;winners)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printGetTradeOffer-java.lang.String-">printGetTradeOffer</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printGetTradeProposition-java.lang.String-">printGetTradeProposition</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printHand-player.Player-">printHand</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printHousesAndHotels-int-int-">printHousesAndHotels</a></span>(int&nbsp;numHouses,
                    int&nbsp;numHotels)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printInvalidInput--">printInvalidInput</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printIsMortgaged--">printIsMortgaged</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printJailOptions--">printJailOptions</a></span>()</code>
<div class="block">What options are presented to the player when they are in jail</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printKeepGoing--">printKeepGoing</a></span>()</code>
<div class="block">All Possible Extra Moves</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printMoneyTransaction-player.People-int-player.People-">printMoneyTransaction</a></span>(<a href="../player/People.html" title="interface in player">People</a>&nbsp;payer,
                     int&nbsp;amount,
                     <a href="../player/People.html" title="interface in player">People</a>&nbsp;recipient)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printMortgaged-board.PurchaseableSquare-">printMortgaged</a></span>(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printNoJailCard--">printNoJailCard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printNotEnoughMoney--">printNotEnoughMoney</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printNoValid--">printNoValid</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printPlayerPosition-player.Player-board.Board-">printPlayerPosition</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
                   <a href="../board/Board.html" title="class in board">Board</a>&nbsp;monopolyBoard)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printPlayers-java.util.ArrayList-">printPlayers</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printPlayersExcept-java.util.ArrayList-player.Player-">printPlayersExcept</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                  <a href="../player/Player.html" title="class in player">Player</a>&nbsp;notThisPlayer)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printProperties-player.Player-">printProperties</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printRemainingHouses-player.Bank-">printRemainingHouses</a></span>(<a href="../player/Bank.html" title="class in player">Bank</a>&nbsp;bank)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printRollMessage-int-int-">printRollMessage</a></span>(int&nbsp;roll1,
                int&nbsp;roll2)</code>
<div class="block">Communicates the player's roll and if they got a double</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printSold--">printSold</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printStatus-player.Player-board.Board-">printStatus</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
           <a href="../board/Board.html" title="class in board">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printTax-player.Player-">printTax</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printTooManyHouses-int-">printTooManyHouses</a></span>(int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printTradeWhat--">printTradeWhat</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printTradeWhich--">printTradeWhich</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printTradeWith-player.Player-">printTradeWith</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#printYouOwnThis--">printYouOwnThis</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#startOfGame-boolean-">startOfGame</a></span>(boolean&nbsp;repeatFlag)</code>&nbsp;</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Messenger.html#turnHeader-player.Player-">turnHeader</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Messenger--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Messenger</h4>
<pre>public&nbsp;Messenger()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="printRollMessage-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printRollMessage</h4>
<pre>public&nbsp;void&nbsp;printRollMessage(int&nbsp;roll1,
                             int&nbsp;roll2)</pre>
<div class="block">Communicates the player's roll and if they got a double</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roll1</code> - </dd>
<dd><code>roll2</code> - </dd>
</dl>
</li>
</ul>
<a name="printPlayerPosition-player.Player-board.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printPlayerPosition</h4>
<pre>public&nbsp;void&nbsp;printPlayerPosition(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
                                <a href="../board/Board.html" title="class in board">Board</a>&nbsp;monopolyBoard)</pre>
</li>
</ul>
<a name="keepGoingPrompt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepGoingPrompt</h4>
<pre>public&nbsp;void&nbsp;keepGoingPrompt()</pre>
</li>
</ul>
<a name="printKeepGoing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printKeepGoing</h4>
<pre>public&nbsp;void&nbsp;printKeepGoing()</pre>
<div class="block">All Possible Extra Moves</div>
</li>
</ul>
<a name="printInvalidInput--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printInvalidInput</h4>
<pre>public&nbsp;void&nbsp;printInvalidInput()</pre>
</li>
</ul>
<a name="printExit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printExit</h4>
<pre>public&nbsp;void&nbsp;printExit()</pre>
</li>
</ul>
<a name="printJailOptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printJailOptions</h4>
<pre>public&nbsp;void&nbsp;printJailOptions()</pre>
<div class="block">What options are presented to the player when they are in jail</div>
</li>
</ul>
<a name="getSquareName-int-board.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSquareName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSquareName(int&nbsp;position,
                                      <a href="../board/Board.html" title="class in board">Board</a>&nbsp;board)</pre>
</li>
</ul>
<a name="printBoard-board.Board-java.util.ArrayList-player.Bank-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printBoard</h4>
<pre>public&nbsp;void&nbsp;printBoard(<a href="../board/Board.html" title="class in board">Board</a>&nbsp;board,
                       java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                       <a href="../player/Bank.html" title="class in player">Bank</a>&nbsp;bank)</pre>
<div class="block">Outputs the board including the locations of the players, ownership, houses,and hotels</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>board</code> - </dd>
<dd><code>players</code> - </dd>
<dd><code>bank</code> - </dd>
</dl>
</li>
</ul>
<a name="printNotEnoughMoney--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printNotEnoughMoney</h4>
<pre>public&nbsp;void&nbsp;printNotEnoughMoney()</pre>
</li>
</ul>
<a name="printCardAction-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printCardAction</h4>
<pre>public&nbsp;void&nbsp;printCardAction(java.lang.String&nbsp;details)</pre>
</li>
</ul>
<a name="printMoneyTransaction-player.People-int-player.People-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printMoneyTransaction</h4>
<pre>public&nbsp;void&nbsp;printMoneyTransaction(<a href="../player/People.html" title="interface in player">People</a>&nbsp;payer,
                                  int&nbsp;amount,
                                  <a href="../player/People.html" title="interface in player">People</a>&nbsp;recipient)</pre>
</li>
</ul>
<a name="printHousesAndHotels-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printHousesAndHotels</h4>
<pre>public&nbsp;void&nbsp;printHousesAndHotels(int&nbsp;numHouses,
                                 int&nbsp;numHotels)</pre>
</li>
</ul>
<a name="printAvailableToBuy-board.PurchaseableSquare-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printAvailableToBuy</h4>
<pre>public&nbsp;void&nbsp;printAvailableToBuy(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
                                int&nbsp;rentMultiplier)</pre>
</li>
</ul>
<a name="printIsMortgaged--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printIsMortgaged</h4>
<pre>public&nbsp;void&nbsp;printIsMortgaged()</pre>
</li>
</ul>
<a name="bought-player.Player-board.PurchaseableSquare-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bought</h4>
<pre>public&nbsp;void&nbsp;bought(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
                   <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</pre>
</li>
</ul>
<a name="bought-player.Player-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bought</h4>
<pre>public&nbsp;void&nbsp;bought(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p,
                   java.lang.String&nbsp;psq)</pre>
</li>
</ul>
<a name="turnHeader-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>turnHeader</h4>
<pre>public&nbsp;void&nbsp;turnHeader(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</pre>
</li>
</ul>
<a name="printStatus-player.Player-board.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printStatus</h4>
<pre>public&nbsp;void&nbsp;printStatus(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player,
                        <a href="../board/Board.html" title="class in board">Board</a>&nbsp;board)</pre>
</li>
</ul>
<a name="printPlayers-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printPlayers</h4>
<pre>public&nbsp;void&nbsp;printPlayers(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</pre>
</li>
</ul>
<a name="printPlayersExcept-java.util.ArrayList-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printPlayersExcept</h4>
<pre>public&nbsp;void&nbsp;printPlayersExcept(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                               <a href="../player/Player.html" title="class in player">Player</a>&nbsp;notThisPlayer)</pre>
</li>
</ul>
<a name="printProperties-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printProperties</h4>
<pre>public&nbsp;void&nbsp;printProperties(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</pre>
</li>
</ul>
<a name="HotelPrompt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HotelPrompt</h4>
<pre>public&nbsp;void&nbsp;HotelPrompt()</pre>
</li>
</ul>
<a name="printTax-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printTax</h4>
<pre>public&nbsp;void&nbsp;printTax(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</pre>
</li>
</ul>
<a name="printAuction-java.util.ArrayList-board.PurchaseableSquare-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printAuction</h4>
<pre>public&nbsp;void&nbsp;printAuction(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                         <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</pre>
</li>
</ul>
<a name="printNoValid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printNoValid</h4>
<pre>public&nbsp;void&nbsp;printNoValid()</pre>
</li>
</ul>
<a name="printTooManyHouses-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printTooManyHouses</h4>
<pre>public&nbsp;void&nbsp;printTooManyHouses(int&nbsp;i)</pre>
</li>
</ul>
<a name="printBuilt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printBuilt</h4>
<pre>public&nbsp;void&nbsp;printBuilt()</pre>
</li>
</ul>
<a name="startOfGame-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startOfGame</h4>
<pre>public&nbsp;void&nbsp;startOfGame(boolean&nbsp;repeatFlag)</pre>
</li>
</ul>
<a name="printRemainingHouses-player.Bank-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printRemainingHouses</h4>
<pre>public&nbsp;void&nbsp;printRemainingHouses(<a href="../player/Bank.html" title="class in player">Bank</a>&nbsp;bank)</pre>
</li>
</ul>
<a name="printYouOwnThis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printYouOwnThis</h4>
<pre>public&nbsp;void&nbsp;printYouOwnThis()</pre>
</li>
</ul>
<a name="GO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GO</h4>
<pre>public&nbsp;void&nbsp;GO()</pre>
</li>
</ul>
<a name="noGetOutOfJaillFreeCards--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noGetOutOfJaillFreeCards</h4>
<pre>public&nbsp;void&nbsp;noGetOutOfJaillFreeCards()</pre>
</li>
</ul>
<a name="noHousesOrHotels--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noHousesOrHotels</h4>
<pre>public&nbsp;void&nbsp;noHousesOrHotels()</pre>
</li>
</ul>
<a name="printSold--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printSold</h4>
<pre>public&nbsp;void&nbsp;printSold()</pre>
</li>
</ul>
<a name="printHand-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printHand</h4>
<pre>public&nbsp;void&nbsp;printHand(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;player)</pre>
</li>
</ul>
<a name="printEmptyHand--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printEmptyHand</h4>
<pre>public&nbsp;void&nbsp;printEmptyHand()</pre>
</li>
</ul>
<a name="printMortgaged-board.PurchaseableSquare-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printMortgaged</h4>
<pre>public&nbsp;void&nbsp;printMortgaged(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</pre>
</li>
</ul>
<a name="printTradeWith-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printTradeWith</h4>
<pre>public&nbsp;void&nbsp;printTradeWith(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;p)</pre>
</li>
</ul>
<a name="printTradeWhat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printTradeWhat</h4>
<pre>public&nbsp;void&nbsp;printTradeWhat()</pre>
</li>
</ul>
<a name="printGetTradeOffer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printGetTradeOffer</h4>
<pre>public&nbsp;void&nbsp;printGetTradeOffer(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="printGetTradeProposition-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printGetTradeProposition</h4>
<pre>public&nbsp;void&nbsp;printGetTradeProposition(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="printTradeWhich--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printTradeWhich</h4>
<pre>public&nbsp;void&nbsp;printTradeWhich()</pre>
</li>
</ul>
<a name="printFinalScores-java.util.ArrayList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printFinalScores</h4>
<pre>public&nbsp;void&nbsp;printFinalScores(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                             java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;winners)</pre>
</li>
</ul>
<a name="printNoJailCard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printNoJailCard</h4>
<pre>public&nbsp;void&nbsp;printNoJailCard()</pre>
</li>
</ul>
<a name="printBoughtJailCard-player.Player-player.Player-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>printBoughtJailCard</h4>
<pre>public&nbsp;void&nbsp;printBoughtJailCard(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;buyer,
                                <a href="../player/Player.html" title="class in player">Player</a>&nbsp;seller,
                                int&nbsp;amount)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Messenger.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../game/Main.html" title="class in game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Messenger.html" target="_top">Frames</a></li>
<li><a href="Messenger.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
